extends Area2D





### 	 ACCESSORS 	 ###






### 	 BUILT-IN 	 ###

func _ready() -> void:
	Engine.time_scale = 0.5
	
	#AUDIO.set_master_volume(-80)




### 	 VIRTUAL 	 ###





### 	 LOGIC 	 ###




### 	 SIGNAL-RESPONSE 	 ###








func _on_animated_sprite_2d_animation_finished() -> void:
	Engine.time_scale = 1.0
	self.queue_free()
	#AUDIO.set_master_volume(0)


func _on_body_entered(body: Node2D) -> void:
	body.terrorize(self.global_position, false)
